CBC_Mode_ExternalCipher Struct Reference

CBC mode, external cipher. More...

Inheritance diagram for CBC_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< CBC_Encryption > | Encryption
typedef CipherModeFinalTemplate_ExternalCipher< CBC_Decryption > | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

CBC mode, external cipher.

Definition at line 451 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h